function report_current_cp_measurements(Column1 , Column2 , baby_measurements, headers)
% Provides reporting of intermediate steps.
%
% Created by : ABR august@lightness.eu
% Date : 2024-06-11
fprintf('                      %10s %10s %10s\n', headers{:})
fprintf('     Total length   = %10.1f %10.1f %10.1f\n', Column1.total_length, Column2.total_length, baby_measurements(1))
fprintf('     Head circumf   = %10.1f %10.1f %10.1f\n', Column1.head_circumference, Column2.head_circumference, baby_measurements(4))
fprintf('     Shoulder width = %10.1f %10.1f %10.1f\n', Column1.shoulder_width, Column2.shoulder_width, baby_measurements(3))
fprintf('     Shoulder-groin = %10.1f %10.1f %10.1f\n', Column1.shoulder_to_groin, Column2.shoulder_to_groin, baby_measurements(2))

